## ros-kinetic-yocs-safety-controller 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_safety_controller)
find_package(catkin REQUIRED COMPONENTS ecl_threads
                                        geometry_msgs
                                        nodelet
                                        pluginlib
                                        roscpp
                                        sensor_msgs
                                        std_msgs
                                        yocs_controllers)

catkin_package(INCLUDE_DIRS include
               LIBRARIES yocs_safety_controller_nodelet
               CATKIN_DEPENDS ecl_threads
                              geometry_msgs
                              nodelet
                              pluginlib
                              sensor_msgs
                              std_msgs
                              roscpp
                              yocs_controllers)

include_directories(include
                    ${catkin_INCLUDE_DIRS})

add_library(yocs_safety_controller_nodelet src/library.cpp
                                           src/nodelet.cpp)
target_link_libraries(yocs_safety_controller_nodelet ${catkin_LIBRARIES})

install(TARGETS yocs_safety_controller_nodelet
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-yocs-safety-controller (0.8.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 12 Jan 2017 15:33:22 -0000

ros-kinetic-yocs-safety-controller (0.8.0-0xenial) xenial; urgency=high

  * make it inheritable

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 05 May 2016 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.6.2-0xenial) xenial; urgency=high

  * Merge branch 'safety_controller' into waypoints_update
    Conflicts:
    yocs_safety_controller/include/yocs_safety_controller/safety_controller.hpp
    yocs_safety_controller/launch/safety_controller.launch
    yocs_safety_controller/src/library.cpp
  * yocs_safety_controller: renames class
  * yocs_safet_controller: adds reverse option
  * adds yocs_safety_controller package
  * Contributors: Marcus Liebhardt
  * Merge branch 'safety_controller' into waypoints_update
    Conflicts:
    yocs_safety_controller/include/yocs_safety_controller/safety_controller.hpp
    yocs_safety_controller/launch/safety_controller.launch
    yocs_safety_controller/src/library.cpp
  * yocs_safety_controller: renames class
  * yocs_safet_controller: adds reverse option
  * adds yocs_safety_controller package
  * Contributors: Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.6.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Jul 2014 02:21:00 -0000

ros-kinetic-yocs-safety-controller (0.6.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 08 Jul 2014 02:07:00 -0000

ros-kinetic-yocs-safety-controller (0.5.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.5.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 05 Nov 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.5.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.5.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 07:44:00 -0000

ros-kinetic-yocs-safety-controller (0.4.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 07:17:00 -0000

ros-kinetic-yocs-safety-controller (0.4.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.4.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 23 Sep 2013 02:17:00 -0000

ros-kinetic-yocs-safety-controller (0.3.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.2.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 23 Sep 2013 02:23:00 -0000

ros-kinetic-yocs-safety-controller (0.2.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.2.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.2.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.1.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.1.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.1.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-kinetic-yocs-safety-controller (0.1.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-yocs-safety-controller
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-yocs-controllers
Homepage: http://ros.org/wiki/yocsd_safety_controller
Standards-Version: 3.9.2

Package: ros-kinetic-yocs-safety-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-yocs-controllers
Description: A controller ensuring the safe operation of your robot.
 The SafetyController listens to ranger readings in order to stop (and move back), if obstacles get to close. This controller can be enabled/disabled.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-yocs-safety-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
